Results 1 to 15 of 15

Your favorite Apple, iPhone, iPad, iOS, Jailbreak, and Cydia site.


Thread: how do i run apps for ios4 on 3.1.3

  1. #1
    Default how do i run apps for ios4 on 3.1.3
    Im getting error after its installed with itunes..
    it was something like cannot finish install.. because its for firmware 4.0 i think.. is there is any way to run these apps without upgrading my phone to ios4?

  2. #2
    Livin the iPhone Life Simtech's Avatar
    Join Date
    Aug 2007
    Location
    LA
    Posts
    2,387
    Thanks
    105
    Thanked 304 Times in 276 Posts

    nope.....

  3. #3
    Livin the iPhone Life iNT3Rv3NTiONZz's Avatar
    Join Date
    Feb 2010
    Location
    Cambridge, U.K
    Posts
    1,512
    Thanks
    57
    Thanked 123 Times in 101 Posts

    if you can get into the IPA go to the info.plist and change minimumosversion from 4.0 to 3.1 then it may work.

    iPhone4 16gb black - 4.1 Limera1ned
    iPhone 3G 16gb white - 3.1.2 jailbroken
    Blackra1ned
    THANKYOU ONCE AGAIN GEOHOT!

  4. #4
    Yh do what maxxy said and that should work, I did the same thing last year and it worked for me

  5. #5
    Or download firmware faker on cydia and install normally

  6. #6
    Livin the iPhone Life iNT3Rv3NTiONZz's Avatar
    Join Date
    Feb 2010
    Location
    Cambridge, U.K
    Posts
    1,512
    Thanks
    57
    Thanked 123 Times in 101 Posts

    z3r01 wont that run a substrate?? it would be more efficient just to edit the prop lists.. but if u can spare that minimal extra RAM then it would be easier to get that, but on my 3G i need every bit lol =]

    iPhone4 16gb black - 4.1 Limera1ned
    iPhone 3G 16gb white - 3.1.2 jailbroken
    Blackra1ned
    THANKYOU ONCE AGAIN GEOHOT!

  7. #7
    Quote Originally Posted by z3r01 View Post
    Or download firmware faker on cydia and install normally
    Hi z3r01,
    can you explain this a little further to me? I installed it on my iPhone 2g that is running ios 3.1.3 and it installed but won't run. any ideas?

  8. #8
    Quote Originally Posted by notsonu View Post
    Hi z3r01,
    can you explain this a little further to me? I installed it on my iPhone 2g that is running ios 3.1.3 and it installed but won't run. any ideas?
    Firmware Faker will let you download and install things that aren't necessarily supported by your OS,
    but if they're not compatible they won't actually work. Note the word "fake" in Faker.

    Like people have said:
    Quote Originally Posted by iNT3Rv3NTiONZz View Post
    if you can get into the IPA go to the info.plist and change minimumosversion from 4.0 to 3.1 then it may work.
    Quote Originally Posted by joe747 View Post
    Yh do what maxxy said and that should work, I did the same thing last year and it worked for me
    It might work for you, but then again, it might not.

    Probably less likely now than before, because the delta of 3.1 -> 4.0 is much smaller than 3.1 -> 4.3 or 3.1 -> 5.0.

    Edit:
    another thing to consider trying is http://www.whited00r.com/
    I don't THINK it will allow newer apps to run on your old firmware.
    What it does is provide skins and UI enhancements from newer iOS firmware for older models.
    Last edited by raduga; 10-31-2011 at 03:00 PM.

  9. #9
    Quote Originally Posted by raduga View Post
    Firmware Faker will let you download and install things that aren't necessarily supported by your OS,
    but if they're not compatible they won't actually work. Note the word "fake" in Faker.

    Like people have said:



    It might work for you, but then again, it might not.

    Probably less likely now than before, because the delta of 3.1 -> 4.0 is much smaller than 3.1 -> 4.3 or 3.1 -> 5.0.

    Edit:
    another thing to consider trying is http://www.whited00r.com/
    I don't THINK it will allow newer apps to run on your old firmware.
    What it does is provide skins and UI enhancements from newer iOS firmware for older models.
    We are running the whited00r firmware 3.1.3. What I am trying to do is get an app called Vlingo or Dragon Go! to install and run on my 2g. I read in some other forum that someone had the Vlingo 2.0.3 working on their 2g. Do you have any idea where I could obtain a copy of this older version of Vlingo? What if anything can we do to get Vlingo or Dragon Go to work??? How do you get into the IPA to get to the info.plist to change the minimumosversion?
    Last edited by notsonu; 10-31-2011 at 09:35 PM.

  10. #10
    Quote Originally Posted by appter View Post
    it would be more efficient just to edit the prop lists..
    Can you explain how to do that? Are you saying by editing the "prop lists" that I will be able to run the newer version of Vlingo or Dragon Go? I am more than willing to give it a shot! It's just I am new to this and am very eager to learn how to get apps like Vlingo and Dragon Go! to work on older devices like my iPhone 2g. Since the iPhone 2g does not have any sort of Voice control.

  11. #11
    Quote Originally Posted by notsonu View Post
    Can you explain how to do that? Are you saying by editing the "prop lists" that I will be able to run the newer version of Vlingo or Dragon Go? I am more than willing to give it a shot! It's just I am new to this and am very eager to learn how to get apps like Vlingo and Dragon Go! to work on older devices like my iPhone 2g. Since the iPhone 2g does not have any sort of Voice control.
    re: Vlingo and Dragon Go, I doubt very much you'll be able to get them to work.
    Pretty sure that the software APIs that Voice control uses didn't exist before 4.0,
    so- no. Your 3.1.3 is missing the frameworks you'd need.

    You can't really copy them from another device, because of CPU architecture differences.

    Edit: I may be misinformed.
    Last edited by raduga; 11-17-2011 at 01:36 PM.

  12. #12
    Quote Originally Posted by raduga View Post
    re: Vlingo and Dragon Go, I doubt very much you'll be able to get them to work.
    Pretty sure that the software APIs that Voice control uses didn't exist before 4.0,
    so- no. Your 3.1.3 is missing the frameworks you'd need.

    You can't really copy them from another device, because of CPU architecture differences.
    well I found a way to get Voice Control on my 2g. here is the link to a youtube video that explains how to do it. Hats off to jima6636! I have it installed and it works great!

    Voice Control for 3G & 2G iPhone!!!! - YouTube

  13. The Following User Says Thank You to notsonu For This Useful Post:

    raduga (11-17-2011)

  14. #13
    great to hear!
    (I may have been mistaken on the API)

  15. #14
    I am more than willing to give it a shot! It's just I am new to this and am very eager to learn how to get apps like Vlingo and Dragon Go!

  16. #15
    Default prop list
    wait, can someone please explain how to edit the prop list? Because I don't understand how & it'd be very helpful!

Posting Permissions
  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •